Bug 1255701 - USE_64 variable is not used by upstream
USE_64 variable is not used by upstream
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: 389-admin (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Noriko Hosoi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2015-08-21 07:20 EDT by Marcin Juszkiewicz
Modified: 2016-11-19 16:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Outdated flag was present in spec file Consequence: A variable is set that is not used Fix: Remove the variable Result: The spec file does not contain an unneeded variable
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-05 20:25:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec change (1.06 KB, text/plain)
2015-08-21 07:20 EDT, Marcin Juszkiewicz
no flags Details

  None (edit)
Description Marcin Juszkiewicz 2015-08-21 07:20:37 EDT
Created attachment 1065550 [details]
spec change

Description of problem:

I am going through all Fedora packages to check how they treat aarch64 architecture. 389-admin has ifarch check for some of 64-bit architectures and then sets USE_64 variable.

Upstream source does not contain USE_64 use - probably it got dropped like it was with 389-ds-base case.

Version-Release number of selected component (if applicable):

1.1.42-1

AArch64 build works with and without USE_64 being set.
Comment 1 Marcin Juszkiewicz 2016-01-19 07:48:24 EST
ping?
Comment 2 Noriko Hosoi 2016-01-21 16:12:37 EST
(In reply to Marcin Juszkiewicz from comment #1)
> ping?

Thank you for providing the patch, Marcin.  We are taking care of this issue in the next RHDS release.
Comment 3 Jan Kurik 2016-02-24 08:39:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 mreynolds 2016-07-06 11:18:42 EDT
Fixed upstream, thanks Marcin for submitting the patch!
Comment 5 Fedora Update System 2016-11-03 16:44:53 EDT
389-ds-base-1.3.5.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8660c7656f
Comment 6 Fedora Update System 2016-11-03 17:17:23 EDT
389-ds-base-1.3.5.15-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9d466bcc
Comment 7 Fedora Update System 2016-11-04 23:34:33 EDT
389-ds-base-1.3.5.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8660c7656f
Comment 8 Fedora Update System 2016-11-05 14:59:33 EDT
389-ds-base-1.3.5.15-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f9d466bcc
Comment 9 Fedora Update System 2016-11-05 20:25:58 EDT
389-ds-base-1.3.5.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-11-19 16:10:41 EST
389-ds-base-1.3.5.15-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.